From: brain@mail.msen.com (Jim Brain)
Newsgroups: comp.sys.cbm,comp.answers,news.answers
Subject: COMP.SYS.CBM: General FAQ, v3.0 Part 4/4
Date: 7 Sep 1995 15:53:27 -0400
Lines: 2465
Sender: brain@msen.com
Summary: This posting contains answers to questions that commonly surface in
         comp.sys.cbm.  This posting will tell you enough to get your
         computer connected to a network, fixed, and/or enhanced.  This file
         should be read by new users of comp.sys.cbm before posting to the
         group.  It should also be proofread by users who are currently
         active in comp.sys.cbm.
Keywords: CBM FAQ Help List C64 C128 VIC Modem


Archive-name: cbm-main-faq.3.0.p4
Comp-answers-archive-name: commodore/main-faq/part4
News-answers-archive-name: commodore/main-faq/part4
Comp-sys-cbm-archive-name: main-faq/part4
Version: 3.0
Last-modified: 1995/09/05
         

  ---------------------------------------------------------------------------
  
  Table of Contents (for this file)
  ---------------------------------
  
  14.  Programming
  14.1.  What Programming Languages are available?
  14.2.  What is a Cross Assembler?  How do I use one?
+ 14.3   What is an "undocumented opcode"?
   
  15.  User Groups

  16.  Sales and Service
  16.1.  Where do I purchase Commodore Equipment and Software?
  16.2.  Where do I get equipment serviced?
  16.3.  How do I know who to buy from or request service from?
   
  17. Miscellaneous
  17.1.  How fast does a Commodore 64 run?
  17.2.  How can a turn my NTSC-M 64 into a PAL-B 64 or vice versa?
  17.3.  What does this IC number mean?
     
  18. Credits   

  ---------------------------------------------------------------------------
  

  14.  Programming
  
  
  14.1.  What Programming Languages are available?
  
  You name it, and it is probably available for the Commodore computer
  system.  The following languages are known to be supported on the CBM 
  platform at this time:
  
  BASIC
  C
  COBOL
  COMAL
  FORTH
  LISP
+ LO
  PASCAL
+ PILOT

  
  14.2.  What is a Cross Assembler?  How do I use one?
  
  A cross assembler is a program that runs on one computer and generates
  code for another computer.  Usually, a non 8-bit CBM machine generates
  the code using this program, but it can be another 64 hooked in some way
  to a "target" 64.  Whatever the case, here are some packages that can be
  used:
  
  as6502          linking 6502 cross assembler
  masm6502        6502 macro cross-assembler
  ps65a12         Unix format 6502 cross assembler
  svasm02         6502 cross assembler
  xasm220         many-targeted cross assemblers

+ For all cross assemblers, the user will most likely benefit from a way to
+ transfer the program from the source platform to the target platform.  
+ See Section 7 for information on products that will help transfer the
+ files


+ 14.3   What is an "undocumented opcode"?

+ In the 65XX CPU line, each machine language instruction is a single byte,
+ which allows for 256 instruction types, or opcodes.  However, there are
+ fewer than 256 defined.  When designing the 65XX line, the designers, 
+ needing to keep complexity down, decided to treat the extra opcode
+ positions as "don't care" opcodes, where no effort would be made to make
+ those opcodes do anything special.  Since the opcodes are arranged in a
+ 16X16 matrix, with a row or column cotaining opcodes that perform similar
+ operations, an undefined opcode in the matrix can have the behavior of
+ other opcodes in its row or column or both.  These opcodes are called
+ "illegal" or "undocumented" opcodes, and are occasionally used by
+ demo coders to accomplish special timing effects, or by software
+ programmers for copy protection code.  To learn more about these opcodes
+ and what each does, the get the 64doc file at 
+ ftp://ftp.funet.fi/pub/cbm/documents/64doc or visit a cbm emulator forum.


  15.  User Groups
  
  User's Groups fulfill a major function for Commodore owners.  They provide
  a place to meet other users, discuss problems and solutions for computing, 
  teach and learn information about their machines.  Software can be shared
  and friendships are made.  THe Commodore community is made up largely by
  real or virtual user's groups.
  
  The following list details the addresses and names of Commodore
  User's Groups around the world.  Commodore owners are encouraged to
  join one that is close in order to reap the benefits from group membership.
  In addition, most groups publish newlsetters filled with topical 
  information.  However, these are not the only places to find Commodore
  owners.  See Sections 7 and 8 for information on visiting Commodore
  owners "online"
   
  (Note: is anyone currently compiling these?  If so, I can point to
  your information rather than present it here.)

  Alabama, USA
  
  Birmingham Commodore Club
  P.O. Box 59564
  Birmingham, AL  35259-9564

  H.A.C.K.S.
  P.O. Box 14356 
  Huntsville, AL  35815

  Alaska, USA
  
  Anchorage Commodore Users Group
  P.O. Box 104615
  Anchorage, AK  99510-4615

  Sitka Commodore User's Group
  P.O. Box 2204
  Sitka, AK  99835
  
  Arizona, USA
   
  Arizona Commodore User's Group (Input/Output)
  P.O. Box 27201
  Tempe, AZ  85285-7201
  One of the best newsletters around.

  Busy Bee User Group
  2634 East Malvern Street
  Tucson, AZ  85716

  Catalina Commodore Computer Club, Inc.
  P.O. Box 32548
  Tucson, AZ  85751-2548

  Arkansas, USA
   
  Arkansas Commodore Enthusiasts (ACE)
  2026 B Nichols Road
  Little Rock, AR  72205
  (501) 224-9657 (Bulletin Board System)

  Northwest Arkansas Commodore User's Group
  P.O. Box 2925
  Fayetteville, AR  72702-2925

  California, USA
  
  64/MORE
  P.O. Box 612794
  San Jose, CA  95161-2794

  C-128 West User's Group
  17047 Devanah Street
  Covina, CA  91722
  
  C=Humboldt User Group
  P.O. Box 6502
  Eureka, CA  95502
  
  CIVIC 64/128
  P.O. Box 2442
  Oxnard, CA  93034-2442
  (805) 382-1125 (Bulletin Board System)

  CHLB
  P.O. Box 7293
  Long Beach, CA  90805

  CWEST
  3462B 17th Street
  San Francisco, CA  94110

+ VCC
+ P.O. Box 310
+ Denair, CA  95316
+ Oldest continually active computer club in California.
  
  Central Coast Commodore User's Group
  3896 Berwyn Drive
  Santa Maria,  CA  93455

  Classic 64 Preservation Society
  660 Walton Drive
  Red Bluff, CA  96080

  Club 64
  P.O. Box 514 
  Patton, CA  92369  
  
  Commodore 64 West User's Group
  2306 West 180th Street
  Torrance, CA  90504
  
  Commodore Hayward User's Group
  c/o Vernon Viani
  4586 Glenn Street
  Freemont, CA  94536
  
  Commodore Technical User's Group
  2231 East Trenton Avenue
  Orange, CA  92667
  
  Diablo Valley Commodore User's Group
  P.O. Box 27155
  Concord, CA  94527

  The Fresno Sixty-Fourum
  P.O. Box 16098
  Fresno, CA  93755

  FUNHUG
  814 Valley Run
  Hercules, CA  94547-1440
  BBS Number: (510) 713-7944

  Hub Area Commodore Club
  7127 Arrowhead Trail
  Browns Valley, CA  95918-9630
  
  Lake County Computer Users
  7827 Evergreen Drive
  Kelseyville, CA  95451
  
  Orange County Commodore Club
  c/o 439-102 Fair Drive
  Costa Mesa, CA  92626
  
  Sacremento Commodore Computer Club
  P.O. Box 13393
  Sacramento, CA  95813-3393
  
  South Bay Commodore User's Group
  P.O. Box 1176
  Redondo Beach, CA  90278

  Southeast San Diego C-64 User's Group
  258 Euclid Avenue #B
  San Diego, CA  92114-3640

  Southern California Commodore User's Group
  2059 Cedar Avenue #11
  Long Beach, CA  90806-4616
 
  Stockton Commodore User Group
  714 East Oak Street
  Stockton, CA  95202-2229

  S.U.C.C.E.S.S.
  110 Grace Drive
  Pasa Robles, CA  93446

  Valley Computer Club
  P.O. Box 310
  Denair, CA  95316
    
  Colorado, USA
   
  Colorado Commodore Computer Club
  1192 South Nome Street
  Aurora, CO  80012
  (303) 751-3247
  Ron Snyder (Contact)

  FC C3
  1713 Valley Forge Avenue
  Fort Collins, CO  80526

  Front Range Commodore Club
  P.O. Box 272
  Niwot, CO  80544-0272
  
  Western Slope Commodore User Group
  P.O. Box 81
  Mack, CO  81525

  Connecticut, USA
       
  Capitol Region Commodore Computer Club/LOAD CRCCC
  P.O. Box 2372
  Vernon, CT  06066
  
  Fairfield Country Commodore User's Group
  P.O. Box  212 
  Danbury, CT  06813
  
  Delaware, USA
  
  First State Commodore Club
  P.O. Box 1313
  Dover, DE  19903
  
  Florida, USA
  
  Beach Computers
  Highway A1A
  Satellite Beach, FL

  The Clearwater Commodore Club, Inc.
  P.O. Box 11211
  Clearwater, FL  34616

  Commodore Computer Club of Jacksonville
  141 Mango Court
  Middleburg, FL  32068

  Commodore User's Group of South West Florida
  P.O. Box 7692
  Fort Meyers, FL  33911
  
  Commodore User's Group of Venice
  P.O. Box 3325
  Venice, FL  34293
  
  El-Shift-Oh, Incorporated
  P.O. Box 361348
  Melbourne, FL  32936-1348
  
  Gainesville Commodore User's Group
  P.O. Box 90212
  Gainesville, FL  32607
  
  Manasota Commodore User's Group
  P.O. Box 698
  Oneco, FL  34264-6618
  
  M.I.C.E
  11110 Bird Road
  Miami, FL  33165-4417
  
  Port Orange Commodore User's Group
  52 Windward Court
  Port Orange, FL  32127
  
  Tampa Commodore User's Group
  P.O. Box 27141
  Tampa, FL  33688
  
  Sun Coast Commodore Club
  c/o 7034 Mayfield Drive
  Port Richey, FL  34668
  
  Lake/Sumter Commodore User's Group
  P.O. Box 490416
  Leesburg, FL  34748
  
  Georgia, USA
  
  SMUG
  P.O. Box 1762
  Lilburn, GA  30226

  Hawaii, USA
  
  Commodore Hawaii User's Group
  c/o M.N. Daniels
  46-329 Kumoo Loop
  Kaneohe, HI  96744-3532

  Illinois, USA
  
  Bloomington-Normal Commodore User's Group
  P.O. Box 1058
  Bloomington, IL  61702-1058

  Champaign-Urbana Commodore User's Group (CUCUG)
  2010 West William
  Champaign, IL  61821
  
  East Side Computer Club
  P.O. Box 276
  Godfrey, IL  62035-0276

  Fox Valley Computer User Group
  P.O. Box 28
  North Aurora, IL  60542-0028

  PAPUG
  2508 North Rockwood Drive
  Peoria, IL  61614

  Sandwich Computer User Group
  P.O. Box 23
  Sandwich, IL  60548-0023

  S.I.C.K.
  818 East Main Street
  Olney, IL  62450

  S.W.R.A.P./64 Incorporated
  P.O. Box 342
  Bedford Park, IL  60499-0342

  Indiana, USA
  
  CPU
  5168 East 65th Street
  Indianapolis, IN

  LUCKY LINE Magazine (LUCKY member Dale Sidebottom's own newsletter)
  c/o Dale Sidebottom
  P.O. Box 972
  New Albany, IN  47151-0972

  Midwest Computer User's Group
  P.O. Box 9311
  Highland, IN  46322

  Midwest Computer Users Group
  P.O. Box 9311
  Highland, IN  46322

  Iowa, USA
  
  Commodore User's Group, Ames Region
  P.O. Box 2302
  Ames, IA  50010-2302

  Commo-Hawk Commodore User's Group
  P.O. Box 2724
  Cedar Rapids, IA  52406-2724

  Kansas, USA
  
  TCCUG
  P.O. Box 8439
  Topeka, KS  66608

  Commodore Users of Wichita
  c/o Dale Lutes.
  1201 East 61st Street North
  Park City, KS  67219-1947
  (316) 744-2580
  Produces the Zero Page newsletter.

  Kentucky, USA
  
  C.O.O.K.Y
  3807 Krysta Lane
  Oboro, KY  43202

  Gold City Computer users Group
  P.O. Box 257
  Fort Knox, KY  40121

  Louisville Users of Commodore of Kentucky/The LUCKY Report
  P.O. Box 9551
  Louisville, KY  40209-0551
  BBS Number: (502) 933-5397

  Louisiana, USA
  
  Acadiana Commodore Computer Club
  416 Dale Street
  Lafayette, LA  70501

  New Orleans Commodore Klub-64/128
  P.O. Box 1997
  Metaire, LA  70004-1997

  Maryland, USA
  
  ABCUG
  P.O. Box 179
  Glen Burnie, MD  21060-0179 
   
  A.C.U.G.
  P.O. Box 3358
  Annapolis, MD  21403
  
  GCUG
  11340 Rambling Road
  Gaithersburg, MD  20879

  PBUG
  417 West Phirne Road
  Glen Burnie, MD  21061

  Massachusetts, USA
  
  BCS Commodore User's Group
  c/o The Boston Computer Society
  101-A First Avenue, Suite 2
  Waltham, MA  02154
  Edward Piecewicz, Secretary (Contact)
  edward@cs.umb.edu (Information)
  A one year Associate membership for those outside Maine, Massachusetts,
  Rhode Island, Connecticut, Vermont, ans New Hampshire, is $35.00 US. If
  inside, the cost is $39.00 US.  The membership includes the monthly
  magazine "BCS Magazine", which includes the Commodore newsletter.

  Commodore Computer Club of the Berkshires
  38 Walden lane
  Pittsfield, MA  01201
  
  Pioneer Valley Commodore Club
  6 Laurel Terrace
  Westfield, MA  01085
  
  Michigan, USA
  
  Computer Users of Lexington
  P.O. Box 482
  Lexington, MI  48450-0482
  
  Down River Commodore Group
  P.O. Box 1277
  Southgate, MI  48195

  Lansing Area Commodore Club
  LACC membership
  P.O. Box 1065
  East Lansing, MI  48826
  Membership dues are $15.00 US per year per family.  membership entitles you
  to receive the monthly newsletter and get PD software.

  Michigan Commodore User's Group
  800 Lloyd
  Madison Heights, MI  48071-1915

  Muskegon Area Commodore User's Group
  P.O. Box 4496
  Muskegon Heights, MI  49444
  
  Saginaw Area Commodore User's Group (SACUG)
  P.O. Box  2393
  Saginaw, MI  48605-2393 
  
  Minnesota, USA
  
  MCUGA
  5027 Vera Cruz Avenue North
  Crystal, MN  55429

  RACUG
  920 Mayowood Road Southwest
  Rochester, MN  55902

  Mississippi, USA
  
  Arrowscape
  301 West Ray Drive
  Hattiesburg, MS  39402-1046

  Missouri, USA
 
  CUGOS
  P.O. Box 607
  Springfield, MO  65801

  CUGSL
  P.O. Box 837
  Bridgeton, MO  63044
   
  Commodore User's Group of Kansas City
  P.O. Box 36034
  Kansas City, MO  64111

  Computers North User's Group
  P.O. Box 34534
  North Kansas City, MO  64116

  MDC/RCC ComSIG
  P.O. Box 34088
  St. Louis, MO  63134

  Nebraska, USA
  
  Greater Omaha Commodore User Group
  P.O. Box 241155
  Omaha, NE  68124-1155

  New Jersey, USA
 
  C.E.B.U.G.
  P.O. Box 314
  East Brunswick, NJ  08816
   
  Info 64 User's Group
  c/o 186 Delmar Avenue
  Glen Rock, NJ  07452
  
  Rancocas Valley Users Group
  806 Windsor Drive
  Cinnaminson, NJ  08077-3717

  New Mexico, USA
  
  NMCUG: New Mexico Commodore User's Group
  P.O. Box 37127
  Albuquerque, NM
  DIMensions newsletter.

  New Dimensions
  P.O. Box 37127
  Albuquerque, NM  87176

  New York, USA
  
  TCCUG
  c/o Vestal Library
  Vestal, NY  13850

  Bronx User's Group
  P.O. Box 523
  Bronx, NY  10475
  
  Brentwood Commodore Computer Club
  c/o Brentwood Public Library
  2nd Avenue and 4th Street
  Brentwood, NY  11711

  COMBUG
  48A Old Lyme Avenue
  Williamsville, NY  14221

  Hudson Valley Commodore Club
  c/o G.T. Gallagher
  620 Plainfield Street
  Kingston, NY  12401

  Northern NY Commodore Home Users Group
  c/o 6 Garden Street
  Pottsdam, NY  13662

  Queens Commodore User's Group
  P.O. Box 129
  Queens, NY  11417
  
  Southtown User's Group
  West Seneca Road
  West Seneca, NY

  Tri-City Commodore User's Group
  P.O. Box 12742
  Albany, NY  12212
  
  Twin Tier Commodore Club
  512 Jefferson Street
  Elmira, NY  14904

  North Carolina
  
  ACUG
  P.O. Box 3095
  Burlington, NC  27215

  GOCUG
  13 East Bayshore Blvd.
  Jacksonville, NC 28540

  Ohio, USA
  
  Ashtabula County Commodore User's Group
  c/o 1034 Michigan Avenue
  Ashtabula, OH  44004
  
  Basic Bits Commodore Group
  P.O. Box 81886
  Cleveland, OH  44181-0886
  Jerry Swartz (Contact)
  Jerry_Swartz@clbbs.com (Internet Contact)
  Michael Kelley (Contect)
  Michael_Kelly@clbbs.com (Internet Contact)
  In operation since 1984, still very active in the Commodore arena.
  A great users group with a great newsletter.  $10.00 per year associate
  membership. $20.00 per year family membership.  Includes access to a
  large public domain library.

  Central Ohio Commodore User's Group
  P.O. Box 28229
  Columbus, OH  43228-0229
  
  Cincinnati Commodore Computer Club (CCCC)
  5575 Pleasant Hill Road
  Milford, OH  45150

  Commodore Club of Central Ohio
  P.O. Box 292392
  Columbus, OH  43229
  
  Commodore Computer Club of Toledo
  P.O. Box 13011
  Toledo, OH  43613

  Corning Glass Works User Group
  3708 Street Route 271 West
  Greenville, OH  45331

| Computer Erie Bay User's Group (CEBUG)
  P.O. Box 1461
  Sandusky, OH  44870
+ Irene Kraus (Contact)
+ irene.kraus@asacomp.com (Email Contact)
+ (419) 433-5217 (Coastalnet Bulletin Board System)
+ In operation sisnce 1982, membership is $15/yr for individual or family.
+ Membership entitles user to newsletter, a library disk, and the ability to
+ participate in special activities and discounts.  Members are also allowed
+ access to the club section on a local BBS.  Meetings are 3rd Mondy of each
+ month during the school year at Frost Conference Center in Osborn Park. 
+ meeting rooms are open by 6:30p.m., and the meetings start at 7:30 p.m.
 
  Shelby Commodore User's Group
  P.O. Box 512 
  Shelby, OH  44875
   
  South Toledo Commodore Computer Club (STCCC)
  P.O. Box 3167
  Toledo, OH  43607

  Oklahoma, USA
  
  Commodore Users of Bartlesville
  1920 Sante Fe
  Bartlesville, OK  74003
  
  Commodore Users Group of Lawton
  P.O. Box 3392
  Lawton, OK  73502

  The Register
  P.O. Box 52473
  Tulsa, OK  74152-0473

  Tulsa Area Commodore User's Group
  P.O. Box 52473
  Tulsa, OK  74152-0473

  Oregon, USA
  
  Commodore User's Association (CUA)
  P.O. Box 84
  Medford, OR  97524

  Coos Computer Club
  2175 Everett
  North Bend, OR  97459
  
  Crash 64
  P.O. Box 241
  Salem, OR  97308

  Lane County Commodore User's Group
  P.O. Box 11316
  Eugene, OR 97440

  Pennsylvania, USA
  
  LVCUG
  P.O. Box 2
  New Tripoli, PA  18066-0002
  
  Harrisburg Area Computer Club
  721 South 29th Street
  Harrisburg, PA  17111
  
  Lehigh Valley Commodore User's Group
  931 Lawrence Drive
  Emmaus, PA  18049

  Main Line Commodore User's Group
  1046 General Allen Lane
  West Chester, PA  19382
  
  Philadelphia Area Computer Society
  c/o LaSalle University
  Philadelphia, PA  19141
   
  Pittsburgh Commodore Group
  P.O. Box 16126
  Pittsburgh, PA  15242
  (412) 396-5483 (Bulletin Board System)
| WWW URL: http://monami.psc.edu/

  Scranton Commodore user's Group
  P.O. Box 244
  Scranton, PA  18501
   
  South Carolina, USA
    
  CCC of Columbia
  2800 Cliffside Drive
  Columbia, SC  29053

  River Rats User Group
  P.O. Box 1036
  Bath, SC  29816-6610
  
  South Dakota, USA
  
  Sioux Empire Commodore Club
  1932 South Menlo Avenue
  Sioux Falls, SD  57105-2717

  Tennessee, USA
  
  Memphis Commodore User's Group
  P.O. Box 34095
  Memphis, TN  38134
  
  Texas, USA
  
  CWSAT
  P.O. Box 380732
  San Antonio, TX  78280

  Abilene Cursor Control
  P.O. Box 6261
  Abilene, TX  79608

  Commodore Houston User's Group (CHUG)
  P.O. Box 441252
  Houston, TX  77244-1252
  ?SYNTAX newsletter

  Commodore Users of San Antonio Texas
  P.O. Box 380732
  San Antonio, TX  78280
  
  Harlingen Commodore User Group
  1900 Grace
  Harlingen, TX  78550

+ Metro C-64/128 Users
  (SIG of Metroplex Commodore Computer Group)
  6004 Cowden
  Fort Worth, TX  76135
  Mike Msessums (Contact)
  msessums@fastlane.net (Internet Contact)
+ WWW URL: http://www.fastlane.net/homepages/msessums/msessums.html#METRO
  See Metroplex Commodore Computer Club (MCCC) entry for membership info.
  
| Metroplex Commodore Computer Club
  P.O. Box 813
  Bedford, TX  76095
+ WWW URL: http://www.fastlane.net/homepages/msessums/msessums.html
+ Meeting are open to all.  Family memberships as $24 per year or $15 for
+ 6 months, and entitle member to monthly copies of MCCC News, PD Library
+ access, and DFW area merchant's discounts.  An additional $12 annual fee
+ provides access to the MCCC BBS.

  Muskegon Area Commodore User Group
  c/o 1522 Bitter Creek
  Garland, TX  75040

  North Dallas Commodore User's Group
  c/o 1522 Bitter Creek
  Garland, TX  75040
  Mike Neus (Contact)
  NEUS@timsg.csc.ti.com (Internet Contact)
   
  Utah, USA
   
  Mountain Computer Society
  3898 Cheryl Street
  Salt Lake City, UT  84119-4682

  Vermont, USA
  
  Champlain Valley Commodore User's Group
  6 Mayfair Street
  South Burlington, VT  05403

  Viginia, USA
  
  C64 Compendium
  P.O. Box 70
  Ringgold, VA  24586-0070

  MPCUG
  P.O. Box 391
  Gloucester, VA  23061

  PCUG
  P.O. Box 11293
  Newport News, VA  23601-9293
           
  PCUG
  P.O. Box 6561
  Portsmouth, VA,  23703

  Commodore Users of Lynchburg
  238 Twin Oak Drive
  Lynchburg, VA  24502

  Fredricksburg Commodore Club
  6803 Teal Court
  Spotsylvania, VA  22553

  North Viginia Commodore
  9206 Annhurst Street
  Fairfax, VA  22031-1902

  Peninsula Commodore User's Group
  c/o W.L. Philips
  P.O. Box 11293
  Newport News, VA  23601-9293

  Washington Area Commodore User's Group
  7728 Viceroy Street
  Springfield, VA  22151

  Vermont, USA
  
  Warren Kazakiewich
  P.O. Box 77
  West Wardsboro, VT  05368

  Washington, USA
  
  OPUG
  1415 South Cherry Street
  Port Angeles, WA  98362

  VCUG
  2807 Northeast 99th Street
  Vancouver, WA  98665
  
  Commodore Users of Puget Sound
  P.O. Box 1806
  Silverdale, WA  98383-1806

  Tri-City Commodore Computer Club (TC-Cubed)
  P.O. Box 224
  Richland, WA  99352-0224

  University of Washington Commodore User's Group
  P.O. Box 25878
  Seattle, WA  98125

  West Virginia, USA
  
  Commodore Home User's Group of Wheeling (CHUG)
  81 Lynwood Avenue
  Wheeling, WV  26003

  Wyoming, USA
  
  Cheyenne Association of Computer Enthusiasts
  P.O. Box 1733
  Cheyenne, WY 82003

+ Cheyenne Area Orphaned Systems (Ch.A.O.S)
+ c/o Jeffrey Wood
+ 813 Covered Wagon Drive
+ Cheyenne, WY  82007-1671

  Canada
 
  Calgary Commodore User Group
  c/o 427 5th Avenue, SE
  High River, AB  Canada T1V 1H9
  
  Commodore Users of Edmonton
  9550-83 Street
  Edmonton, Alberta  Canada  T6C-3A1

+ Commodore Users Group of Nova Scotia
+ c/o Tony Cianfaglione
+ 6249 Willow Street
+ Halifax, Nova Scotia
+ Canada  B3L 1P1
+ (902) 425-1944
+ ab616@ccn.cs.dal.ca (Contact)

  Hamilton Commodore Users Group
  P.O. Box 20202, Upper James P.O. 
  Hamilton, Ontario  L9C7M5
  
  Ottawa Home Computer Club
  1743 Caminiti Cresent
  Orleans, Ontario  Canada  K4A-1M2

  Saskatoon User's Group
  2614 Ahaultain Avenue
  Saskatoon, SK  S7J1R6
  Canada
  
  Toronto PET User's Group (TPUG)
  5334 Yonge Street, Box #116
  Willowdale, Ontario  Canada  M2N 6M2 

  England
   
  Independent Commodore Products User Group
  ICHPUG Membership secretary
  17 Colne Drive
  Didcot, Oxon  OX11 7JZ 
  Great Britain
  It supports all Commodore computers and has a software library for each
  of them. It also produces 6 Journals a year of approx 100 pages each.
  They have an Amateur Radio section in their c64 software library.

  GeoClub
  55 High Bank Road
  Droyslden, Manchester  M35 6FS  
  England
   
  PLUS4/C16 Users Group
  c/o Tony Ellis
  36 Western Highway
  Blaxland NSW  2774
  (047) 39 1528 (Voice)
  Specializes in the Plus/4 and Commodore 16.

  Germany
  
  GEOS User's Club
  Xantener Street 40
  D-46286 Dorsten, Germany
  
  Vereinigte GEOS Anwender Koeln (United Geos Users Cologne)
  VGA Koeln
  c/o Thomas Bruehl
  Eichenweg 38
  D-50859 Koeln (Cologne)
  GERMANY
  thomas.bruehl@vga.infox.com / FIDO 2:2450/140.5 (Contact)
  First of all, we love our GEOS for C64/128. But beside this (if there is a 
  new card, drive etc.) we have to maintain the C64/128 basics. So we meet 
  every 3rd saturday at cologne, do some talking, perform workshops and 
  publish our own news-letter, the GEOS-Kurier.
  
  New Zealand
  
  Kapiti Commodore Users' Group
  23 Weggery Drive
  Waikanae, New Zealand

  Miscellaneous
  
  Meeting 64/128 Users Through the Mail
  Route 7, Box 7614
  Palestine, TX  75801
  Francis Redmond, President
  jpnan@prairienet.org (Contact)
  A very good users group. Has been around for 7 years. $15 per year
  includes monthly newsletter.
  

  16.  Sales and Service
   
  Sooner or later, every Commodore owner will need to get his or her
  computer serviced, add another peripheral, or simply purchase some
  enhancement hardware or software.  Contrary to popular belief, there
  is a large base of hardware and software suppliers and service centers.
   
   
  16.1.  Where do I purchase Commodore Equipment and Software?
   
  Commodore no longer manufactures Commodore 8-bit computers.
  Many online services, including comp.sys.cbm, publications, and user
  groups newsletters contain regular messages from people wanting to sell
  Commodore equipment.  

  In Germany, there are a number of shops which still sell factory new
  Commodore 64 and Commodore 128 computers.

  Commodore also no longer manufactures software for the Commodore 8-bit line.
  However, many companies still sell software for the Commodore line.

  A number of third parties still support the Commodore 8-bit line. They are
  listed below with a sampling of their products:

  Creative Micro Designs, Incorporated. (CMD)
  15 Benton Drive
  P.O. Box 646
  East Longmeadow, MA  01028-0646
  (800) 638-3263 (Orders only)
  (413) 525-0023 (Information)
  (413) 525-0147 (Fascimile)
  cmd-doug@genie.geis.com (Contact)
  CMD Hard Drives, Floppy Drives, GEOS Software, JiffyDOS, RAMLink, Games,
  SID Symphony, IEEE Flash!, Printer Adaptors, Books, Productivity, MIDI SW.

  CMD Direkt (CMD Europe)
  Postfach 58, A-6410
  Telfs, Austria
  0043-5262-66080 (Voice)
  0043-5262-64040 (Fascimile)

  Plus Electronics (CMD Germany)
  Postfach 100 263, D-30198
  Seelze, Germany
  05137-50477 (Voice)
  05137-91376 (Fascimile)

  Sandinges Import and Data (CMD Sweden)
  Norsbergvagen 8-B, S-302 30
  Halmstad, Sweden
  351-22164 (Voice)

  Software Support International
  2700 N.E. Andresen Road Suite A-10
  Vancouver, WA 98661
  (800) 356-1179 (Orders Only)
  (360) 695-1393 (Information)
  (360) 695-9648 (Information)
  (360) 695-0059 (Fascimile)
+ gopher://gopher.soonet.ca/11%5cCOMPUTERSMITH (Catalog)
  1750 Clone, Miscellaneous Software and Hardware.

  Software Hut
  Folcroft East Business Park
  313 Henderson Drive
  Sharon Hill, PA  19079
  (800) 932-6442 (Orders only)
  (610) 586-5701 (Information)
  (610) 586-5704 (Technical Support)
  (610) 586-5706 (Fascimile)
  Miscellaneous Software and Hardware.

  SOGWAP Software
  115 Bellmont Road
  Decatur, IN 46733
  (219) 724-3900
  Big Blue Reader, and Bible Search Software

  The FGM Connection
  P.O. Box 2206
  Roseburg, OR 97470
  (503) 673-2234 (Information)
  Fun Graphics Machine Software, printing/ publishing utility

  Mad Man Software
  The Enterprise Center
  1400 E. College Drive
  Cheyenne, WY 82007-3298
  Supply the C-Kit94 compression program.

  Horse Feathers Graphics
  N. 27310 Short Road
  Deer Park, WA 99006-9712
  Western Graphics for Print Shop, Professional quality

  Busy Bee Software
  P.O. Box 206
  Saint David,  AZ  85630
  Eric Lee (Contact)
  (502) 720-4103
  The Write Stuff 64/128 wordprocessing software

  Brown Boxes, Inc.
  26 Concord Road
  Bedford, MA 01730
  (617) 275-0090
  Quick Brown Box Battery Backed Memory cartridges for the C64/128

  Performance Peripherals, Inc.
  5 Upper Loudon Road
  Loudonville, NY 12211
  (518) 436-0485
  Battery Backed Ram expansion units. FLASH8 cartidge.

+ Performance Peripherals, Europe
+ M. Renz, Holzweg 12
+ 53332 Bornheim
+ RamDrive, Battery Backed expansion units, FLASH8 cartridge, GeoShell.

  Commodore Country
  1420 Country Road 914
  Burleson, TX 76028
| (817) 295-7658 (Information and Orders)
+ (817) 477 9674 (Fascimile)
+ Provide Commodore and Amiga sales and service, and carry new and used
+ software for the C64, C128, and Amiga lines.
  
  Living Proof, Ltd
  P.O. Box 80714
  Minneapolis, MN 55408-8714
  I paint software for the C128

  Antigrav Toolkit
  P.O. Box 1074
  Cambridge, MA 02142
  KeyDOS ROM version 2 for the C128

  Creative Pixels, Ltd.
  P.O. Box 502
  Library, PA  15129
  "The Adventures of Eric Hawthorne, P.I." action/strategy game.
  "A Day In the Life of a Prehistoric Man" 

  Micro Storm Software
  P.O. Box 1086
  Sidney, MT 59270
  Public Domain and Shareware software

  8-Bit
  P.O. Box 542
  Lindenhurst, NY 11757-0542
  (516) 957-1100 (Orders)
  Public Domain and Commercial Software

  64 Disk Connection
  4291 Holland Road, Suite 562
  Virginia Beach, VA  23452
  Large selection of public domain and shareware software.

  Softside Supply
  c/o Dale Sidebottom
  1001 Estate Circle
  Georgetown, IN  47122
  GEOS Applications

  US Commodore Support
  c/o Ron Snyder
  364 South Nile Street
  Aurora, CO  80012
  (303) 344-5940 (Information and Orders)
  Sells used Hardware and software. A full price list is available on
  ccnga.uwaterloo.ca in /pub/cbm/comp.sys.cbm/us.cbm-list.

  John Green
  365 Smith Street
  Freeport, NY  11520
  Sells "The Castle of Kraisar", a role playing game.

  Home-Spun Software
  P.O. box 1064DH
  Estero, FL  33928
  Unusual software, Foreign utilities.

  Computer Bargain Store
  3366 South 2300 East
  Salt Lake City, UT  84109
  (801) 466-8084 (Information: call only between 4-6 PM Mountain Time)
  New and like-new C128D computers.

  Tech Star Computer Center
  7036 188th South
  Kent, WA  98032
  (206) 251-9040 (Information/Orders)
  Refurbished hardware and new software.

  Suzart
  1529 Longmont Avenue
  Boise, ID 83706-3731
  Fonts for GEOS.

  Mega-Disk Software
  P.O. Box 1554
  Ellensburg, WA  98926-1554
  Joshua Brandt (Contact)
  brandtj@cwu.edu (Internet contact)
  Mega-Disk software specializes in public domain and shareware on sets of
  3.5" disk for the C-64 with a 1581, CMD FD-2000, or CMD FD-4000.
  Each set has over 2.5 Megs of files and cost $10 to $20.
  They currently have 3 different sets (SAMPLER #1, DEMOS #1, and GAMES #1).
  Send a SASE to the above address for a complete catalog.

  Disks O'Plenty Software
  8362 Pines Blvd. Suite 270
  Pembroke Pines, FL  33024
  (305) 963-7750 (Orders)

  Microstorm Software
  P.O. Box 1086
  Sidney, MT 59270

  Q Enterprises Software
  P.O. Box 77123
  Washington, DC  20013-7123

  Powerdisk Software
  6813 Lotus Way
  West Jordan, UT  84084

  Compute Books!
  c/o CCC
  2500 McClellan Ave.
  Pennsauken, NJ  08109
  Various Compute! Books.

  Caloke Industries (Dept. GK)
  P.O. Box 18477
  Raytown, MO 64133
  Send US$2.00 for catalog + sample disk of programs

  J.P. PBM Products By Mail (Commodore Hardware)
  c/o N. Sheridan
  Mall Postal Outlet - Box # 60515
  Downsview, Ontario  M3L 1BO
  CANADA
  Send US$2.00 For C64 catalog on disk.

  CPI, Department D
  Keystone Software
  P.O. Box 8369
  Pittsburgh, PA. 15218
  (412) 243-1049 (Orders and Information)
  (412) 731-2460 (Fascimile)
  Leroy's Cheatsheets.

  KFPDS Software
  c/o Kenneth Franklin
  P.O. Box 470464
  Los Angeles, CA 90047-0464
  Send US$2.00 for catalog + sample disks.

  Threshold Productions
  17730 15th Avenue NE Suite #229
  Seattle, WA  98155
  (206) 361-1332
  Jon Mines (Contact)
  tpinfo@eskimo.com (Information)
  TP is a developer and producer of quality & budget software.

  Fred Ogle
  P.O. Box 35427
  Dundalk, MD  21222-7427
  F.OGLE@GENIE.GEIS.COM (Information)
  The Color 64 BBS Software.

  R&K MicroTronics
  34 Hillwyck
  Toledo, OH  43615
  (419) 536-1455 (Information and Orders)
  Commodore repair and sales.

  Centsible Software
  P.O. Box 930
  St. Joseph, MI  49085
  (616) 428-9096 (Information and Orders)
  CENTSIBLE@DELPHI.COM (Information)
  Used software for the Commodore.

  Angelo Pasquella
  P.O. Box 71
  Beachwood, HJ  08722-0071
  (908) 349-9187 (Information M-F 10AM-5PM & 7PM-10PM EST)

  ArcTech Soft
  P.O. Box 56911
  North Pole, AK 99705-1911
  Software.

  RMS
  16 Maybrook Drive
  Maywood, NJ 07607
  (201) 843-3116 (Information)
  (201) 845-8250 (Bulletin Board System)
  (201) 843-3116 (Fascimile)
  (201) 501-5435 (Beeper for C-Net Technical Support)
  (201) 801-1953 (Beeper for Other Technical Support)
  (201) 385-5586 (Online Store)
  rosemarie_fox@2604.fido.the-boss.com (Information)
  C-Net 128 and C-Net 64 BBS Programs, Shareware, Used SW, CBM HW, CBM repair.
  They now accept Visa, MasterCard, and American Express Orders.

  Master Software
  6 Hillery Court
  Randallstown, MD  21133
  (410) 922-2962 (Information and Orders)
  BASIC Help Screens, Monitor Cables, Chip Saver Kit, TaxMaster SW.

  Russian Wyatt
  8614 Bramble Lane #203
  Randallstown, MD  21133
  Quest for Adventure for C-128.

  ACS Computer and Video Incorporated
  5344 Jimmy Carter Blvd.
  Norcross, GA  30093
  (404) 263-9190 (Information)
  (800) 962-4489 (Orders)
  (404) 263-7852 (Fascimile)

  Aprotek
  9323 West Evans Creek Road
  Rogue River, OR  97537
  (503) 582-2120 (Orders and Information)
  (503) 582-1225 (BBS)

  Computer Bargain Store
  3366 South 2300 East
  Salt Lake City, UT  84109
  (801) 466-8084 (Orders and Information)
  (801) 486-9128 (Fascimile)

  Dave's Computers
  32400 Aurora Road
  Solon, OH  44139
  (216) 467-9793

  EMS Computer Service
  4355 Kinney Road
  Ludington, MI  49431
  (616) 845-1540

| Lyben Computer Systems
  P.O. Box 130
  5545 Bridgewood
  Sterling Heights, MI  48311-0130
  (810) 268-8100

  Mid Continent Computers
  2332 North MacArthur
  Oklahoma City, OK  73127
  (405) 946-2888 (Orders and Information)

  Micro R&D
  721 "O" Street
  Loup City, NE  68853
  (800) 527-8797 (Orders and Information)

  Xetec
  2804 Arnold Road
  Salina, KS  67401
  (913) 827-0685

  Andor House/Don Radler
  3907 Southeast 2nd Avenue
  Cape Coral, FL  33904

  Bare Bones Software
  3060 Route 60 East
  Hurricane, WV  25526
  (800) 638-1123 (Orders Only)
  (304) 562-1608 (Bulletin Board System)
  (304) 562-1610 (Fascimile)
  (304) 562-1609 (order Inquires, Information, Customer Support)

  Bruno's Computer Warehouse
  510 Andover Park West
  Tukwila, WA  98188
  (206) 575-8737 (Information and Orders)

  Caloke Industries
  P.O. Box 18477
  Raytown, MO  64133
  (816) 478-6185 (Information and Orders)

  Compsult 
  P.O. Box 5160
  San Luis Obispo, CA  93403-5160
  (805) 544-6616 (Information and Orders)
  (805) 544-6576 (Fascimile)
  $5-$10 Commercial Software and Public Domain Software

  Computer Workshops, Incorporated
  3612 Birdie Drive
  La Mesa, Ca  91941-8044
+ http://www.armory.com/~spectre/cwi.html (WWW Page)
+ file://ftp.armory.com/pub/user/spectre/ (FTP site)
+ Cameron Kaiser (Contact)
+ spectre@plash.saic.com (Email Contact)

  Digital Vision, Incorporated
  270 Bridge Street
  Dedham, MA  02026
  (617) 329-5400 (Information)
  (800) 346-0090 (Orders)

  Easy Books Distributing
  P.O. Box 216
  Iowa Park, TX  76367-0216
  (817) 592-4727 (Orders and Information)

  Epyx Incorporated
  1979 Palomar Oaks Way
  Carlsbad, CA  92009
  (619) 431-9888 (Orders and Information)

  Family Computers & Video Games
  510 South First Street
  Mount Vernon, WA  98273
  (206) 336-3586 (Orders and Information)

  Compustuff
  2759 Medina Road
  Medina, OH  44256
  (216) 725-7729 (Orders and Information)
  (216) 723-7070 (Fascimile)

  FRD Software
  3487 East Terrace
  Fresno, CA  93703

  Horse Feathers Graphics
  North 27310 Short Road
  Deer Park, WA  99006-9712
  (509) 276-6928

  Lance Haffner Games
  P.O. Box 100594
  Nashville, TN  37224
  (615) 242-2617

  Landmark Series
  c/o New Horizon Software
  326 Fern Avenue - Second Floor
  Lyndhurst, NJ  07071-2127

  Click Here Software
  Maurice Randall
  P.O. Box 606
  215 East Harris
  Charlotte, MI  48813
  Offers the new GeoFax program, which allows faxes to be sent and received 
  from your Commodore 64.

  Music Software Exchange
  P.O. Box 533334
  Orlando, FL  32853-3334

  Nathan Fiedler
  5711 Nount Pleasant Road
  Bernville, PA  19506

  Novastar Game Company
  P.O. Box 1813
  Rocklin, CA  95677
  (916) 624-7113 (Orders and Information)

  Quincy Softworks
  9479 East Whitmore Avenua
  Hughson, CA  95326-9745
  SW, TopDesk for GEOS.

  Software Clearance Center
  2025 Southwest Freeway
  Houston, TX  77098
  (800) 825-1990 (Orders)

  Software Etc.
  801 South Greenville Avenua
  Allen, TX  75002
  (214) 727-9695 (Orders and Information)

  Spark's Electronics
  5316 South Ninth Street
  Saint Joseph, MO  65404-1802
  (816) 238-5235 (Orders and Information)

  Surplus Computer Software
  3301 South Harbor Blvd.
  Santa Ana, CA  92704
  (714) 751-2667 (Orders and Information)

  Nathan Fiedler
  5711 Mount Pleasant Road
  Bernville, PA  19506

  Terrapin Software
  400 Riverside Street
  Portland, ME  04103-1068
  (800) 972-8200

  Titus Software
  20432 Corisco Street
  Chatsworth, CA  91311
  (818) 709-3692

  User's Corner
  1110 East Jackson
  Medford, OR  97504
  (503) 773-8868 (Orders and Information)

  West River Computer Center
  1212 Ordegon
  Rapid City, SD  57701-2006
  (605) 348-3389 (Information)
  (800) 272-1591 (Orders)

  Abacus
  5370 52nd Street Southeast
  Grand Rapids, MI  49512
  (616) 698-0330 (Information)
  (800) 272-1591 (Orders)

  Brantford Educational Services
  6 Pioneer Place
  Brantford, ONT  Canada N3R7G7

  Busy Bee User Group
  P.O. Box 3
  Arivaca, AZ  85601-0003

  LynnCarthy Industries
  P.O. Box 392
  Boise, ID  83701-0392
  (208) 383-0300
  Performance Peripherals, dieHard

  Digi-Key
  701 Brooks Avenue South
  P.O. Box 677
  Thief River Falls, MN  56701-0677
  (800) 344-4539 (Orders)
  Replacement ICs.

  Elliam Associates
  P.O. Box 2664
  Atascadero, CA  93423
  (805) 466-8440 (Orders and Information)

  John Elliot
  35 Crestview Avenue
  Daly City, CA  94015
  (415) 756-9810

  Howard W. Sams & Company
  2647 Waterfront Parkway East Drive
  Indianapolis, IN  46214-2041
  (317) 298-5400 (Orders and Information)

  Jameco Electronics
  1355 Shoreway Road
  Belmont, CA  94002
  (415) 592-8097 (Orders and Information)
  Replacement ICs.

| Jason-Ranheim Company
  3105 Gayle Lane
  Auburn, CA 95602
  (916) 878-0785 (Information)
  (800) 421-7731 (Orders)

  Kaltec
  Adjuntas, Puerto Rico  00601-0971

  Marshview Software Limited
  P.O. Box 1212
  Sackville, New Brunswick, Canada  E0A3C0
  (506) 364-0110 (Orders and Information)
  (506) 536-1462 (Fascimile)

  MEI/Micro Center
  1100 Steelwood Road
  Columbus, OH  43212
  (800) 634-3478 (Orders and Information)

  Midwest Micro-Peripherals
  6910 US Route 36
  East Fletcher, OH  45326
  (800) 522-8080 (Orders and Information)

  L.L. Plankey
  1712 Santa Margarita Drive
  Fallbrook, CA  92028-1641

  RTH Compuware
  805 Timber Lane
  Glenwood, IA  51534
  (712) 527-3863

  Reliance Forms & Supplies Incorporated
  23920 Freeway Park Drive
  Farmington Hills, MI  48334
  (810) 478-6620 (Orders and Information)

  Spheretron (formerly Schnedler Systems)
  25 Eastwood Road
  P.O. Box 5964
  Asheville, NC  28813
  (704) 274-4646

  Skyles Electric Works
  P.O. Box 1984
  Cupertino, CA  95015-1984
  (408) 737-1632 (Orders and Information)
+ Offers some CBM IC parts.

  The Soft Group
  P.O. Box 111
  Montgomery, IL 60538
  (708) 851-6667 (Orders and Information)
  (708) 851-1002 (Fascimile)

  TAB Books Incorporated
  Blue Ridge Summit, PA  17294-0840
  (717) 794-2191 (Information)
  (800) 822-8158 (Orders)

  D-mail U.S.A
  91 Market Street
  Wappingers Falls, NY  12590
  (914) 297-4800 (Orders and Information)
  (914) 297-2483 (Fascimile)

  Cyberteck Software
  928 East Broadway, Suite #317
  Missoula, MT  59802-4303
  Public Domain GEOS and non-GEOS disks

  Yanney Software
  P.O. Box 224
  Lebanon, PA  17042-0224
+ Pogo Stick Game for 64.  

  Rolfe Wagner
  134 Rd 2390
  Aztec, NM  87410

  MNEMONIC Productions, Inc.
  365 Smith Street
  Freeport, NY  11520

  Basic Fundementals Company
  2235 East Marie Avenue
  Salt Lake City, UT  84109

  PHD Software Systems
  P.O. Box 23
  Moville, IA  51039-0023
+ RAMDOS Internal book, SprayPaint128, Karma Assembler 128, Rez80-128,
+ Ack128.

  Sunrise Software
  439 Park Lane
  Massapequa Park, NY  11762-1430
  Denny's Quest game.

  Micro Applications and Appliances
  6417 Hawthorne Street
  Landover, MD  20785-1711
  Gary Noakes (Contact)
  Produces "1581 Expressway" and "Tag! You're It!" programs.

  Harv Harris
  981 BrownThrush
  Wichita, KS  67212
  The Tax Survival Kit

  Commodore Users of Wichita
  c/o Robert C. Bales
  1201 East 61st Street North
  Park City, KS  67219-1947
  (316) 744-2580
  The Tax Survival Kit

  Herb's Discount Software
  4406 A Enterprise Place
  Fremont, CA  94538
  (510) 490-6335 (Orders and Information)

  Discount Computers and Software
  641 Southwest152nd Street
  Seattle, WA  98166
  (206) 431-0180 (Orders and Information)

  Beverly James Products
| c/o Jim Selleck
  17710 Olympia
  Redford, Michigan 48240
  (313) 531-8108 (Bulletin Board System) (Main Support BBS)
| Original author and copyright holder of C-Net DS2 v11.6, v 2.0 v2.5 and 
| co-author of v3.0.  (Current v3.0 author is Rob Muscedere).

| C-Net 64 DS2 BBS Software
  92 Lee Ave Apartment N3
  Newark, OH  43055
| Michael Bendure (Contact)
| (614) 788-8568 (Information, Orders, and Voice Support Line)
  (614) 522-6563 (Bulletin Board System)
| mbendure@infinet.com (Internet Contact)
| URL http://www.infinet.com/~mbendure/cnet (C-Net 64 DS2 Home Page)
| Michael Bendure 1:226/1400 (Fido Net Contact)
| Mitron @ Cygnus X-1 (DS2/Image Net Contact)
| Distributes and supports C-Net 64 DS2 v2.0, v2.5, and v3.0 BBS.
| Current author and distributor of DS2 Network v3.04 and v3.1 for C-Net
| Corrdinator and co-author of Comm-Net (A 64/128 BBS network exclusively
| for those machines.)

  Compuquick Media Center
  3758 Town & Country Road
  Columbus, Ohio  43213
  (614) 235-1180
  Commodore and Amiga Dealers and Service. CBM 8 bit Hardware and
  Software.

  Dick Estel
  3487 East Terrace
  Fresno, CA  93703
  Dick Estel FRD line of graphics and fonts for GEOS users.

  Softdisk Publishing
  Box 30008
  Shreveport, LA  71130-0008
  (800) 594-3370 (Information and Orders)
  LOADSTAR magazine, the Compleat Walt, Dave, and Roger disks. SPORT C64
  novel on disk.

  Henry Sopko
  2705 King Street East Apt #212
  Hamilton, Ontario, CANADA, L8K1Y4
  Sells SCREENSAVER DELUXE for C128.

  Herbach and Rademan
  18 Canal Street
  P.O. Box 122
  Bristol, PA  19007-0122
  (800) 848-8001 (Orders and Information)
  NEW, UNUSED Commodore 128D internal power supplies.

  New Image Software, Inc.
  P.O. Box 525
  Salem, UT 84653
  (801) 423-2209 (Information and Orders)
  (801) 423-2734 (Bulletin Board System)
  support@farpoint.mewimage.com (Contact)
  Image BBS Sales and Support.

  J.P. PBM Products By Mail
  Box 60515, North Sheridan Mall P.O.
  Downsville, Ontario, Canada M3L 1B0
  Miscellaneous Commodore equipment and accessories.

  Parsec, Incorporated
  P.O. Box 111
  Salem, MA  01970-0111
  (508) 745-5855
  Commercial, Public Domain, and Shareware Software for CBM computers.

  Applied Technologies, Inc.
  Lyndon Way 
  Kittery, Maine  03904
  ccwx06e@prodigy.com (Contact)
  (207) 439-5074 (Information and Orders)
  (207) 439-1061 (Fascimile)
  "The Whole Bit" Word Processing Software.

  Randy Winchester
  P.O. Box 1074
  Cambridge, MA  02142
  randy@mit.edu (Contact)
  KeyDOS and KeyDOS ROM for C128.

  Discount 2000
  Am Wisenpfad 1
  Tombergstrasse 12a
  D-53340 Meckenheim, Germany
  +49/2225/701834 (Information)
  +49/2225/13360 (Information)
  +49 2225/10193 (Fascimile)
  Sells the FLASH8 accelerator cartridge.
 
  Juergen Heinisch & Thomas Haberland
  GEOS User Club, GbR
  Xantener Str. 40
  D-46286 Dorsten
  Germany, Europe
  European distributors of TopDesk for GEOS.
   
  Seattle Labs
  9606 Northeast 180th Street
  Bothell, WA  98011
  (206) 402-6003 (Information and Orders)
  (206) 828-9011 (Fascimile)
  (206) 402-6388 (bulletin Board System)
  lab@seattlelab.com (Contact) 
  http://www.accessone.com/slab/public_html/prodc64s.html
  Manufacture the C64S emulator for MS-DOS.
   
  COMPUTERSMITH
  RR#1 (Hwy 552 E), Goulais River
  Ontario,  Canada   P0S 1E0
| (705) 649-1251 (Fascimile) (In use at night)
+ (705) 256-0225 (Cellular Phone
  info@compsmth.soonet.ca (Price List)
  sales@compsmth.soonet.ca (Order Inquiries)
  orders@compsmth.soonet.ca (Orders)
  custserv@compsmth.soonet.ca (Customer Service)
  New and used programs and accessories.

  Computer Station
  2258 Pacific Avenue
  Long Beach, CA  90806
  (310) 595-0899 (Orders and Information)
  
  P.A.V.Y Software
  P.O. Box 1548
  Ballwin, MO  63022
  (314) 527-4504
  Landmark, the Computer Reference Bible for the C64.
  
  COMMODORE CEE
  P.O. Box 232115
  Sacramento, CA 95823
  EMAIL Jack Vanderwhite@cee-64.wmeonlin.sacbbx.com (Contact)
  Jack Vanderwhite (Owner)
  Fidonet: 1:203/999
  (916) 395-9733 (Bulletin Board System)
  In addition to offering a disk magazine by the same name, they distribute
  the DWEEZIL DISKS for GEOS, from Quincy Softworks, the English language
  version of TopDesk for GEOS, the Original GEOS Programmer's Reference
  Guide, the Hitchhiker's Guide to GEOS, and back issues of GEOJOURNAL.
  
  Hatronics
  195 Lincoln Avenue
  Montclair, NJ  07042
  (201) 783-7264
  Mark Hatten (Contact)
  Manufacture the HART UART cartridge.
  
  Rod Gasson
| 90 Hilliers Road
| Reynella 5161
| South Australia.
| Phone: +61 8 322-2716
| Email: rod.gasson@aftrs.edu.au
| http://www.msen.com/~brain/guest/Gaelyne_Moranec/qwkrr/index.html
| Produces QWKRR128 and Browser128
  
  Paxtron Corporation
  28 Grove Street
  Spring Valley NY  10977
  (914) 578-6522 (Orders and Information)
  (914) 624-3239 (Fascimile)
+ Commodore ICs and Parts.
  
  Engineering Consulting
  583 Candlewood Street
  Brea, CA  92621
  Robert Blumenkranz (Contact)
  radiobob@earthlink.net (Contact)
  http://www.earthlink.net/users/engcon/webdocs/
  Manufacturer of Video Poster (cable TV character generator), the
  The Ultra Com Shack 64 Remote Base and Repeater Controller for Amateur
  Radio Use.  Also sells Switching Power Supply for C64 (very cool running
  and 90% efficient). 
      
+ Intercorp Communication
+ 466 West Harwood
+ Madison Heights, MI  48071
+ CSOFT wares.

+ Popular Communications
+ 76 North Broadway
+ Hicksville, NY  11801-2953
+ Distributes the "pop'Comm" software for Amateur Radio use.

+ LOTTOMAN DATABASE SYSTEMS
+ P.O. Box 44
+ New Millport, PA  16861
+ (814) 236-7615 (Information and Orders)
+ John Nelson (Contact)
+ lottoman@cris.com (Email Contact)
+ Sells the LOTTOMAN Database products for lotto players.

+ ACS Systems
+ Sacremento, CA  
+ (916) 338-2500 (Information and Orders)
+ Sells 64 to Plus/4 power supply converter.

+ ComputAbility
+ PO Box 17882
+ Milwaukee, WI  53217
+ (414) 357-8181 (Orders and Information: 9am-9pm Central M-F, 11am-5pm Sat)
+ (414) 357-7814 (Fascimile)
+ printers, modems, monitors, disks, printer ribbons

+ The Chilton Book Company
+ attn: Customer Service Dept.
+ One Chilton Way
+ Radnor, PA  19089
+ Handles old Compute's Books.

+ Direct Micro, Inc.
+ 1782 Dividend Drive
+ Columbus, OH  43228-3845
+ (800) 288-2887 (Orders Only: 9am-8pm Eastern weekdays)
+ (614) 771-8771 (Outside USA Orders Only: 9am-8pm Eastern weekdays)
+ (614) 771-8772 (Fascimile)
+ printer ribbons, paper, disks, computer novelties, mouse pads, general 
+ computer supplies

+ Egghead Software
+ (800) EGG-HEAD (Orders and Information)
+ Carries IBM modems and printers, as well as general purpose computer items.

+ Lyco Computer
+ PO Box 5088
+ Jersey Shore, PA  17740
+ (800) 233-8760 (Orders and Information)
+ (717) 494-1670 (Customer Service)
+ (717) 494-1441 (Fascimile)
+ general purpose hardware

+ Media Value
+ 3350 Scott Blvd, Suite 1903
+ Santa Clara, CA  95054
+ (800) 845-3472 (Orders and Information: M-F 7am-7pm Pacific, 12-4pm Sat)
+ (408) 727-9923 (Orders and Information Outside USA)
+ (408) 727-3155 (Fascimile)
+ disks, printer ribbons, mailers, disk boxes etc.

+ Midwestern Diskette
+ 509 West Taylor
+ Creston, IA  50801
+ (800) 221-6332 (Orders and Information)
+ (800) 332-3035 (Orders and Information in Iowa)
+ (515) 782-5190 (Orders and Information outside USA)
+ (515) 782-4166 (Fascimile)
+ disks, disk duplication, labels, custom labeled disks.

+ Montgomery Grant
+ PO Box 58
+ Brooklyn, NY  11230
+ (800) 759-6565 (Orders and Information)
+ (718) 692-0790 (Orders and Information outside USA0
+ (718) 692-3372 (Fasimile)

+ Nick Rossi
+ Platt Campus Center
+ Harvey Mudd College
+ Claremont, CA  91711
+ NovaTerm

+ Utilities Unlimited
+ PO Box 532
+ North Plains, OR  97133
+ (503) 647-5611 (Orders and Information)

+ T. Hermann
+ C.-Rust-Str. 7
+ 81243 Muenchen
+ Geos LQ = Perfect Print LQ, Textprint V3, Storm Disk.

+ plus Electronic GmbH
+ PF 100263
+ 30918 Seelze
+ CMD-Hardware, Mouse 1351, Geos-LQ, Userport-Expander, Action Replay
+ Cartridge & much more, software & hardware.

+ GUSS
+ D. Doehler
+ Gorkistr. 18
+ 04347 Leipzig
+ GeoCom = Geos-Compiler, MakroForm, Best-Of-Collection, GEOS-software.

+ MasterMMSoft
+ c/o A. Matting
+ Singerstr. 11
+ 01257 Dresden
+ large selection of public-domain-software & shareware, Geos-software.

+ Muekra Datentechnik
+ Schoeneberger Str. 5
+ 12103 Berlin
+ Action Replay MK VI.

+ Markt&Technik Buch- und Software-Verlag GmbH
+ Hans-Pinsel-Str. 9b
+ 85540 Haar
+ GEOS 2.5, more GEOS-software (official GEOS-distributor), books.

+ Scanntronik Mugrauer GmbH
+ Parkstr. 38
+ 85604 Zorneding-Poering
+ Pagefox, Printfox, Videofox, Genlock, Handyscanner, Videotext Decoder.


  16.2.  Where do I get equipment serviced?
   
  There are a number of repair facilities around that will bring your trusty
  Commodore computer up to speed again.  Please look in the list below for one
  that might be able to help you.  If that doesn't turn up anything, check
  with your local User's Group.

  A&M Computer Repair
  24 Conklin Drive
  Stoney Point, NY 10980
  (800) 344-4102 (Orders)
  (914) 562-7271 (Information)
  Fixed repair prices are very low, C64 C128 etc!!

  TYCOM Inc.
  503 East Street
  Pittsfield, MA 01201
  (413) 442-9771 (Information)
  Fast, fixed price all hardware repaired

  J&C Repair
  RD #2, Box 9
  Rockton, PA 15856
  (814) 583-5996 (Information)
  (814) 583-5995 (Fascimile)
  Repair all hardware.

  Harvey and Associates
  1409 Mill Street
  Laramie, WY 82070
  (307) 742-3275 (Information)
  Repairs and service. Inexpensive.

  Computer Technologies
  121 North Ridgewood Avenue, Suite A
  Datona Beach, FL 32114
  (800) 237-2835 (Information)
  Standard C64/128 repairs.

  Kasara Micro Systems
| 7 White Oak Circle
| Blufftron, SC  29910
  (800) 248-2983 (Information)
  (803) 757-7748 (Fascimile)
  All standard C64/128 repairs. Has hardware exchange program.

  Commodore Connection
  127 North Sante Fe Avenue #C
  Vista, CA  92804-5401
  (619) 945-8777 (Information/Orders)
  Michael Hendren (Contact)
  General repair.

  Capestany Copmputer Repair
  P.O. Box 733
  Seabrook, TX  77586
  Philip Capestany (Contact)
  General repair.

  Sodak Electronics
  603 South Mable
  Sioux Falls, SD  57103
  (605) 335-3004 (Information/Orders)
  Lamar nance (Contact)
  General repair.

  Sodak Electronics
  RR2 Box 52
  Hartford, SD  57033
  (605) 361-0632 (Information/Orders)
  Jim Muir (Contact)
  General repair.

  Bear Computer Repair Inc
  1005 McKean Street
  Philadelphia, PA 19148
  (800) 755-5295
  Repair C64, C128, Disk drives etc.

  BCE Inc/Commodore Connection
  c/o Jim Bethereum
  13914 E. Radcliff Pl.
  Auroa, CO 80015
  (303) 693-4038
  Commodore and general computer/peripheral repair.

  R&K MicroTronics
  34 Hillwyck
  Toledo, OH  43615
  (419) 536-1455 (Information and Orders)
  Commodore repair and sales.

  Service Management Group
  930 Lancaster Avenue Suite 290
  Exton, PA  19341

  Gordy Wilson's Keyboard Studio
  304 North Maple Suite #203
  Urbana, IL  61801
  (217) 328-3975

  Accurate Data Services
  North 1414 Fiske
  Spokane, WA  99202
  (509) 535-0590 (Orders and Information)

  Computer Shoppe of Alabama
  310 Second Avenue Northwest
  Suite C
  Cullman, AI  35055
  (205) 739-0040

  Computer USERS
  138 North Fifth
  Springfield, OR  97477
  (503) 726-8500 (Orders and Information)

  North American Computer
  147 West Broadway
  Waukesha, WI  53186
  (414) 547-6222 (Orders and Information)

  Handi Hams System Care of Courage Center
  3915 Golden Valley Road
  Golden Valley, MN  55422
  (915) 822-2683 (Orders and Information)

  Global Upgrades
  121 West Nyack Road, Suite 6
  Nanuet, NY  10954
  (800) 426-8693 (Orders and Information)
  (914) 624-3200 (Orders and Information)
  (914) 624-3239 (Fascimile)
  
  RMS Computer Systems
  P.O. Box 9222 
  Paramus, NJ  07653-9222
  (201) 843-3116 (Information)
  (201) 845-8250 (Bulletin Board System)
  (201) 843-3116 (Fascimile)
  (201) 501-5435 (Beeper for C-Net Technical Support)
  (201) 801-1953 (Beeper for Other Technical Support)
  (201) 385-5586 (Online Store)
  rosemarie_fox@2604.fido.the-boss.com (Information)
  C-Net 128 and C-Net 64 BBS Programs, Shareware, Used SW, CBM HW, CBM repair.
  They now accept Visa, MasterCard, and American Express Orders.

  Microfix
  3535 West Pioneer Parkway
  Arlington, TX  76013
  (817) 261-9615 (Orders and Information)
  Repairs PET, C64, C128.
 
  Creative Micro Designs, Incorporated. (CMD)
  15 Benton Drive
  P.O. Box 646
  East Longmeadow, MA  01028-0646
  (800) 638-3263 (Orders only)
  (413) 525-0023 (Information)
  (413) 525-0147 (Fascimile)
  cmd-doug@genie.geis.com (Contact)
  CMD repairs most Commodore hardware.

  COMPUTERSMITH
  RR#1 (Hwy 552 E), Goulais River
  Ontario,  Canada   P0S 1E0
| (705) 649-1251 (Fascimile) (In use at night)
+ (705) 256-0225 (Cellular Phone
  info@compsmth.soonet.ca (Price List)
  custserv@compsmth.soonet.ca (Customer Service)
  Service both CBM and Amiga computers.

  Virginia Microcomputer Services
  14800 Build America Drive
  Woodridge, VA  22191
  (703) 491-6502 (Information: 10-6 M-F, 10-4 SAT)
  (703) 494-0744 (Fascimile)
  Brian Cotton (Contact) 
  Commodore 8-bit and Amiga Service

  Engineering Consulting
  583 Candlewood Street
  Brea, CA  92621
  Robert Blumenkranz (Contact)
  radiobob@earthlink.net (Contact)
  http://www.earthlink.net/users/engcon/webdocs/
  Refurbishes C64s and 1541s.
  
+ Skyles Electric Works
+ P.O. Box 1984
+ Cupertino, CA  95015-1984
+ (408) 737-1632 (Orders and Information)
+ Repairs CBM CPUs and disk drives.
  
  The Computer Nut
  2400 Mountain Drive
  (Shades Mountain Plaza)
  Birmingham, AL  35226

   
  16.3.  How do I know who to buy from or request service from?
   
  The information provided in this file does not imply that a company is
  reputable or even still in business.  It is best to use the above information
  as a starting point, and contact others who can discuss the various
  manufacturers and repair facilities listed above.
   
   
  17. Miscellaneous
  
  Well, this is where the chaff falls.  The following questions are either
  too new to categorize or do not fit into a category.  
  
  
  17.1.  How fast does a Commodore 64 run?
  
  If you are using a stock Commodore 64, the CPU clock frequency is a function
  of the video timing frequency, which is slightly different for differing
  countries.  If you have a stock PAL-B C64 (Common in Europe), the computer 
  is running at 985248.444Hz.  If you are using an NTSC-M C64 (Common in the 
  USA), the computer is running slightly faster, at 1022727.143Hz.  
  
  
  17.2.  How can a turn my NTSC-M 64 into a PAL-B 64 or vice versa?
  
  Changing a C64 from stock PAL-B to stock NTSC-M or vice versa
  requires swapping in the approproate VIC-II chip and the appropriate
  crystal, as well as changing a jumper on the motherboard (The jumper
  has printing near it that indicates whether to cut or connect the jumper).
  Also, if you have a version 1 KERNAL ROM and want to use the built-in
  RS-232 routines, you need to either swap KERNAL ROMs with the other 
  computer (not recommended), or obtain a revision 3 KERNAL (recommended).  
  
  Now, if maintaining stock operation is not a complete must, or if you
  just want to tinker, the crystal and jumper modifications can be made
  optional.  
  
  The VIC-II chip has a relaxed tolerance for timing, so it is possible to 
  run an NTSC-M VIC-II with a PAL-B crystal and jumper settings.
  The converse is possible as well.  Since the crystal frequency is used to 
  generate the frequencies for the TV and monitor output, your TV or
  monitor may not like the resuling hybrid signal very well, but it won't 
  break anything.
  
  In addtion, the jumper indicated above determines the divisor used to scale 
  down the crystal frequency for the CPU.  For PAL-B units, the divisor is 
  18, and for NTSC-M units the divisor is 14.  The Commodore 64 will operate 
  regardless of the crystal frequency and state of this jumper.  Therefore, 
  to speed up a 64, one can install a PAL-B crystal (17734472Hz) and change
  the jumper to use the NTSC divisor (14) to increase the operating
  speed of the machine to 1266748Hz.  However, note that any operations (disk,
  rs-232, special VIC tricks) that require synchronized timing may fail in 
  this "non-stock" scenario.
  
   
  17.3.  What does this IC number mean?
  
  Here are a few Commodore IC numbers and their functions.  Note that this
  is an incomplete list.  A more comprehansive list is called csg.chips.info
  and is at ftp.funet.fi.  

  For the VIC-20:

  Mnemonic         PN#   Alt. PN#
  VIC-I (NTSC-M)   6560
  VIC-I (PAL-B)    6561
  CPU              6502

  For the C-64 and C-64C:

  Mnemonic         PN#   Alt. PN#
  VIC-II (NTSC-M)  6567  8562?
  VIC-II (PAL-B)   6569  8565
  VIC-II (PAL-N)   6572
  VIC-II (PAL-M)   6573
  SID              6581  6582  8580
  
  For the C-128(D):

  Mnemonic         PN#   Alt. PN#
  VIC-IIe (NTSC-M) 8564
  VIC-IIe (PAL-B)  8566
  VIC-IIe (PAL-N)  8569
  DVDC             8563  8568
  SID              6581  6582  8580

  Differences between 64 boards:

  The older boards had discrete LSI logic and a PLA chip.  The newer
  boards put all the PLA and LSI logic into one ASIC chip.  On the
  older boards, the KERNAL and BASIC ROMs were separate, while they are
  combined in the newer design.
  
+ There are two different models of the narrow board.  One has Color RAM,
+ while the other does not.  The ASIC chip includes the PLA and 7 TTL chips,
+ and the Color RAM on some machines machines.
  
+ The new models use 9 volt versions 8580 SID, while older models use the
+ 6581 12 volt SID.  The VIC chip (6567 NTSC-M, 6569 PAL-B) has been replaced
+ with the 8562 (NTSC-M) and 8565 (PAL-B) on newer models.
  
+ Both BASIC 2.0 and the KERNAL ROM have been combined into one ROM for
+ the C64C/G/GS.  This ROM is the same as is used on the C128 in C64 mode.
+ The ROM is indentical except for nationality differences.

   
  18. Credits   
  
  I want to extend my thanks to the following people for their help in
  providing correct, up-to-date information in this FAQ:

  Fred Mueller, who maintained this FAQ before I.
  Everyone who helped add to the 1.4 FAQ material to make the 2.0-2.2 FAQ.
  Geof Goodrum, for info on WACUG home page.
  Guenther Bauer, for European TopDesk distributor.
  Anthony Hawkins, for info on new CUGNS WWW home page.
  George Page, for info on demise of Commodore Connection.
  Andreas Varga, for information on SID music home page.
  Jouko Valta, for info on how to open a 128 PS and general FAQ comments.
  Russell Alphey, for info on updated email address of c65 list.
  John Wildes, for new address of Bare Bones SW. 
  Lee Thompson, for info on Seattle Labs.
  Peter Weighill, for updates on ICHPUG.
  Holger Heimes, for info on UGUC and some extra places to get the FAQ.
  Bob Panek, for info on LOADSTAR's new home page.
  Dan Tobias, for info on LOADSTAR's new home page.
| Tim Phelps, for updated info on Novaterm 9.6.
  Jean Nance, for info on P.A.V.Y Software.
  Gaelyne Moranec, for general FAQ tidiness.
  Guenther Bauer, for updated pricing on FLASH8.
  Marko Makela, for info on NTSC-M/ PAL-B stuff and general comments.
  Daniel Fandrich, for info on cross-assemblers.
  David Schmoll, for 1902<->64 cable info.
  Robert Blumenkranz, for info on his 64 repeater controller.
  Marv Shelton, for information on Hatronics.
  Mark Keith, for the rs-232 cable plans.
  Nhat-Viet Phi, for suggestions on the mini table of contents in each file.
  Larry Haynes, for correction on BASIC prg in 3.3.
  Michael Bendure, for updates on his listing.
  WardShrake, for info on TPUG address. 
  Charles Hollingsworth, for info on CIVIC.
  Robert Blumenkranz, for info on Engineering Consulting.
  Tony Cianfaqlione, for correction on Nova Scotia's WWW address.
  Jack Vanderwhite, for suggestions on improving 13.8 wording.
  Jack Vanderwhite, for info on COMMODORE CEE Sub. rates.
  Anthony Hawkins, for updates on Seattle Labs WWW address.
+ Sami J Laine, for info on DataPump schematics.
+ Jouko Valta, for general tidiness.
+ Mike Neus, for the expansion of JPEG.
+ Harold Hoover, for corrections on RS-232 infterface.
+ Tony Cianfaglione, for WWW corrections.
+ Gaelyne Moranec, for info on her WWW site.
+ Allan Smith, for corrections on COMPUTERSMITH listings.
+ Michael bendure, for corrections on C-Net 64 DS2 BBS Software.
+ Jouko Valta, for added info on different c64 boards and other corrections.
+ Rick Mosdell, for info on Visions.
+ Daniel Dallmann, for info on his new 9600 bps modem routines and cabling.
+ Brett Tabke, for info on PHD Software Systems
+ David Gahris, for info on demise of Chris Philips home page.
+ Mike Msessums, for more info on MCCC User Group and Commodore Country.
+ Peter Kurek, for info on his WWW page address change.
+ Aaron Baugher, for update on comp.emulators.cbm FAQ WWW page address change.
+ Jeff Fleming, for info on VCC user group and the Commodore GEOS Publication.
+ Craig Taylor, for updates on his email address.
+ Jerry Swartz, for more info on BBCG user group.
+ Daniel Dallmann, for updates on his home country.
+ David Gahris, for updates on terminal programs.
+ Holger Heimes, for info on LISP and FORTH for the CBM machines.
+ David Gahris, for info on PData.
+ Chris Tucker, for info on Popular Communications.
+ Cameron Kaiser, for updates on CWI info.
+ John Nelson, for info on his company.
+ Alan Jones, for updates on mail to news services.
+ Gaelyne Moranec, for numerous updates.
+ Allan Smith, for info on SSI catalog on gopher.
+ Brain Green, for info on ACS Systems.
+ Lee Hyatt, for numerous updates.
+ David Gahris, for WWW address updates.
+ Irene Kraus, for updates on CEBUG.
+ Malcolm O/Brien, for the VENDOR.TXT file from Compuserve.
+ Ville Muikkula, for info on C64-Connect.
+ Jim Devenport, for info on his WWW address.
+ Lee Hyatt, for WWW corrections.
+ Ville Muikkula, for corrections on C64-Connect
+ Gaelyne Moranec, for info on BBS Magazine, and updates to supplier list.
+ Jouko Valta, for info on undocumented opcodes.
+ David Schmoll, for updates on UNZIP128.
+ Richard Cunningham, for info on his WWW page.
+ Jeffrey Wood, for info on Ch.A.O.S.
+ Anthony Richardson, for info on his home page.
+ Andreas Varga, for info on GEOS Warp.
--
Jim Brain, Embedded Systems Designer, Brain Innovations, Inc.  (BII)
brain@mail.msen.com "Above views DO reflect my employer, since I'm my employer"
Dabbling in WWW, Embedded Systems, VR, Old CBM computers, and Good Times! -Me-
<a href=http://www.msen.com/~brain/>BII, VR, CBM, and personal info</a>
								   
				    	     		       

