/*  ARexx script
    for :Pearls/text/FAQ on CD Meeting Pearls III
    scanning and reporting
    $VER: faq_newsgroups.rexx 0.1 (31.08.95) 1995 Khamsonh Marcel Khounlivong
    */

OPTIONS RESULTS

PARSE ARG faq datadir

faq     = Strip(faq)
datadir = Strip(datadir)    /* kommt schon von faq_newsgroupsall.rexx mit Endung '/' */

IF (datadir == "") THEN EXIT 20

arcnames    = "Comp-answers-archive-name: Archive-Name: Archive-name: archive-name:"
dates       = "Date:"
newsgroups  = "Newsgroups:"
arcname     = ""
date        = ""
groups      = ""

months      = "Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec"
days        = "Mon Tue Wed Thu Fri Sat Sun"
string      = ""

IF (~Open(file,faq,r)) THEN DO
    SAY '[7m'faq "- can't open[0m"
    EXIT
    END

CALL scan_word
CALL scan_word
CALL Close(file)

IF (Find(days,Strip(Word(date,1),,',')) ~= 0) THEN
    date = SubStr(date, WordIndex(date,2))

day   = Right(Word(date,1),2,'0')
month = Right(Find(months,Word(date,2)),2,'0')
year  = Right(Word(date,3),2)

IF ((arcname ~= "") & (date ~= "") & (groups ~= "")) THEN DO
    info = Left(arcname,60) year || month || day faq
    DO i=1 FOR Words(groups)
        IF (Pos('answers',Word(groups,i)) ~= 0) THEN
            ADDRESS command 'Echo >>'datadir || Word(groups,i)'.files "'info'"'
        END
    END
ELSE SAY '[7m'faq "- missing keyword[0m"
EXIT

scan_word:
    DO UNTIL (Strip((string ~= "")) | Eof(file))
        string = ReadLn(file)
        END
    DO WHILE (Strip((string ~= "")) & ~Eof(file))
        string = Translate(string,' ','09'x)
        IF ((arcname ~= "") & (date ~= "") & (found ~= 0)) THEN LEAVE
        first = Strip(Word(string,1))
        SELECT
            WHEN (Find(arcnames, first) ~= 0) THEN
                arcname = SubStr(string,WordIndex(string,2))
            WHEN (Find(dates, first) ~= 0) THEN
                date = SubStr(string,WordIndex(string,2))
            WHEN (Find(newsgroups, first) ~= 0) THEN
                groups = Translate(SubStr(string,WordIndex(string,2)),' ',',')
            OTHERWISE NOP
            END
        string = ReadLn(file)
        END
    RETURN
